
/* Chrysalide - Outil d'analyse de fichiers binaires
 * global.h - prototypes pour la conservation de variables globales à vocation graphique
 *
 * Copyright (C) 2016-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Chrysalide.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _GUI_CORE_GLOBAL_H
#define _GUI_CORE_GLOBAL_H


#include "../../analysis/binary.h"
#include "../../glibext/gloadedpanel.h"
#include "../../gtkext/gtkstatusstack.h"



/* Note l'adresse de la fenêtre principale de l'éditeur. */
void set_editor_window(GtkWindow *);

/* Fournit l'adresse de la fenêtre principale de l'éditeur. */
GtkWindow *get_editor_window(void);

/* Note l'adresse de la barre de statut principale. */
void set_global_status(GtkStatusStack *);

/* Fournit l'adresse de la barre de statut principale. */
GtkStatusStack *get_global_status(void);

/* Définit le binaire actif en cours d'étude. */
void set_current_binary(GLoadedBinary *);

/* Fournit le binaire actif en cours d'étude. */
GLoadedBinary *get_current_binary(void);

/* Définit l'affichage de binaire courant. */
void set_current_view(GLoadedPanel *);

/* Fournit l'affichage de binaire courant. */
GLoadedPanel *get_current_view(void);

/* Définit le support contenant la position active. */
void set_caret_instance(GObject *);

/* Fournit le support contenant la position active. */
GObject *get_caret_instance(void);



#endif  /* _GUI_CORE_GLOBAL_H */
